Move cursor to a named attribute

- « XMLReader::lookupNamespace

- XMLReader::moveToAttributeNo »

- PHP Manual
- XMLReader
- Move cursor to a named attribute

# XMLReader::moveToAttribute

(PHP 5 >= 5.1.0, PHP 7, PHP 8)

XMLReader::moveToAttribute — Move cursor to a named attribute

### Description

public XMLReader::moveToAttribute(string `$name`): bool

Positions cursor on the named attribute.

### Parameters

`name`

  The name of the attribute.

### Return Values

Returns `true` on success or `false` on failure.

### See Also

- XMLReader::moveToElement() - Position cursor on the parent Element of current Attribute
- XMLReader::moveToAttributeNo() - Move cursor to an attribute by index
- XMLReader::moveToAttributeNs() - Move cursor to a named attribute
- XMLReader::moveToFirstAttribute() - Position cursor on the first Attribute